* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    background: #2e2e2e;
    color: white;
    font-family: Arial, sans-serif;
    overflow-x: hidden;
}

/* Navbar */

.logo {
    width: 200px;
    height: 200px;
}

/* Hero */

.hero {
    min-height: 40vh;

    display: flex;
    justify-content: center;
    align-items: center;

    text-align: center;

    padding: 120px 20px 60px;
}

.hero h1 {
    font-size: 50px;
    font-weight: 300;
    font-weight: bold;

    margin-top: 15px;
}

.hero p {
    font-size: 28px;
    color: #b8b8b8;

    margin-bottom: 30px;
}

.hero-buttons {
    display: flex;
    justify-content: center;
    gap: 15px;
}

.btn-main,
.btn-secondary {
    padding: 14px 28px;

    border-radius: 8px;
    text-decoration: none;

    font-weight: bold;
}

.btn-main {
    background: white;
    color: black;
}

.btn-secondary {
    color: white;
    border: 2px solid #333;
}

/* Intro Section */

.intro {
    max-width: 1300px;
    margin: auto;

    padding: 40px 20px 120px;

    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 60px;

    align-items: center;
}

.intro-text h2 {
    font-size: 30px;
    margin-bottom: 25px;
}

.intro-text p {
    font-size: 22px;
    color: #c2c2c2;
    line-height: 1.7;
}

.intro-image img {
    width: 100%;

    border-radius: 16px;
    border: 1px solid #23262d;

    box-shadow: 0 0 30px rgba(0,0,0,.4);
}

/* Mobile */

@media (max-width: 900px) {

    .nav-links {
        display: none;
    }

    .hero h1 {
        font-size: 56px;
    }

    .hero p {
        font-size: 20px;
    }

    .hero-buttons {
        flex-direction: column;
        align-items: center;
    }

    .intro {
        grid-template-columns: 1fr;
    }

    .intro-text h2 {
        font-size: 36px;
    }

    .intro-text p {
        font-size: 18px;
    }
}